<?php

return [

    /*
    |--------------------------------------------------------------------------
    | All Titles and static string in blade files
    |
    | Web Front side localization - English Language
    |--------------------------------------------------------------------------
    |
    */

    //header keys
    'home' => 'Home',
    'jobs' => 'Jobs',
    'companies' => 'Companies',
    'about_us' => 'About Us',
    'term_conditions' => 'Term & Conditions',
    'contact_us' => 'Contact Us',
    'blogs' => 'Blogs',
    'register' => 'Register',
    'login' => 'Login',
    'sign_up' => 'SignUp',
    'logout' => 'Logout',
    'go_to_dashboard' => 'Go to Dashboard',
    'post_of' => 'Post Of ',
    'reset_filter' => 'Reset Filter',
    'job_seekers' => 'Job Seekers',
    'my_profile' => 'My Profile',
    'blog_detail' => 'Blog Detail',
    'enter_your_mail' => 'Enter your mail',
    'your_name' => 'Your Name',
    'your_email' => 'Your Email',
    'your_comment' => 'Your Comment',
    'open_positions' => 'Open Positions',
    'no_positions' => 'No positions',

    //common keys
    'common' => [
        'search' => 'Search',
        'browse_all' => 'Browse All',
        'location' => 'Location',
        'show_all' => 'Show All',
        'notes' => 'Notes',
        'apply' => 'Apply',
        'submit' => 'Submit',
        'name' => 'Name',
        'first_name' => 'First Name',
        'last_name' => 'Last Name',
        'email' => 'Email',
        'password' => 'Password',
        'confirm_password' => 'Confirm Password',
        'close' => 'Close',
        'save_as_draft' => 'Save as Draft',
    ],

    //home menu keys
    'home_menu' => [
        'your_career_starts_now' => 'Your Career Starts Now',
        'keywords' => 'Keywords',
        'any_category' => 'Any Category',
        'popular_categories' => 'Popular Categories',
        'latest_jobs' => 'Latest Jobs',
        'featured_jobs' => 'Featured Jobs',
        'featured_companies' => 'Featured Companies',
        'resume' => 'Resume',
        'testimonials' => 'Testimonials',
        'jobs_offers_for' => 'Jobs offers for',
        'you' => 'you',
        'positions_open' => 'Positions Open',
        'position_open' => 'Position Open',
        'latest_job_not_available' => 'The Latest Job not available.',
        'featured_job_not_available' => 'The Featured Job not available.',
        'opened_jobs' => 'Open Jobs',
        'featured_companies_not_available' => 'Featured Companies not available.',
        'notices' => 'Notices',
        'you_are_logged_in' => 'You are logged in!',
    ],

    //jobs menu keys
    'job_menu' => [
        'search_job' => 'Search',
        'job_by_type' => 'Job By Type',
        'type' => 'Type',
        'job_by_categories' => 'Job By Categories',
        'job_by_skills' => 'Job By Skills',
        'job_by_gender' => 'Job By Gender',
        'job_by_career_level' => 'Job By Career Level',
        'job_by_functional_area' => 'Job By Functional Area',
        'salary_from' => 'Salary From',
        'salary_to' => 'Salary To',
        'job_details' => 'Job Details',
        'we_found' => 'We Found',
        'matches' => 'Matches',
        'no_results_found' => 'No Results Found',
        'full_time' => 'Full Time',
        'none' => 'None',
        'search_followers' => 'Search',
        'search_followings' => 'Search',
        'search_applied_job' => 'Search',
        'advertise_image' => 'Advertise Image',
    ],

    //job details keys
    'job_details' => [
        'job_details' => 'Job Details',
        'email_to_friend' => 'Email To Friend',
        'report_abuse' => 'Report Abuse',
        'add_to_favorite' => 'Add To Favorite',
        'share_this_job' => 'Share This Job',
        'date_posted' => 'Date Posted',
        'job_skills' => 'Job Skills',
        'salary' => 'Salary',
        'edit_draft' => 'Edit Draft',
        'apply_for_job' => 'Apply For Job',
        'already_applied' => 'Already Applied',
        'company_overview' => 'Company Overview',
        'job_title' => 'Job Title',
        'posted_on' => 'Posted On',
        'job_type' => 'Job Type',
        'job_category' => 'Job Category',
        'career_level' => 'Career Level',
        'job_shift' => 'Job Shift',
        'currency' => 'Currency',
        'salary_period' => 'Salary Period',
        'functional_area' => 'Functional Area',
        'degree_level' => 'Degree Level',
        'position' => 'Position',
        'company_name' => 'Company Name',
        'job_expiry_date' => 'Job Expiry Date',
        'country' => 'Country',
        'state' => 'State',
        'city' => 'City',
        'is_freelance' => 'Is Freelance',
        'hide_salary' => 'Hide Salary',
        'related_jobs' => 'Related Jobs',
        'related_job_not_available' => 'Related Job not available.',
        'remove_from_favorite' => 'Remove from Favorite',
        'add_to_favorites' => 'Add to Favorites',
        'send_to_friend' => 'Send to Friend',
        'report' => 'Report',
        'job_is' => 'Job is',
        'click_here' => 'Click Here',
        'to_upload_resume' => 'to upload resume',
        'register_to_apply' => 'Register to apply',
        'location_information_not_available' => 'Location Information not available.',
    ],

    'apply_for_job' => [
        'apply_for' => 'Apply For',
        'fill_details' => 'Fill Details',
        'expected_salary' => 'Expected Salary',
        'save_as_draft' => 'Save As Draft',
        'we_received_your_application' => 'We received your application and We will let you know when decision is made on your job application',
        'due_to_our_continued_growth' => 'Due to our continued growth, we are recruiting a new position of',
        'or_words_to_that_effect' => 'or words to that effect',
        'already_applied' => 'Already Applied',
        'share_this_job' => 'Share This Job',
    ],

    //Companies Menu
    'companies_menu' => [
        'search_companies' => 'Search Companies',
        'opened_jobs' => 'Open Jobs',
        'featured' => 'Featured',
        'no_company_found' => 'No company found',
    ],

    //Companies Menu
    'candidates_menu' => [
        'search_candidates' => 'Search Candidates',
        'no_candidates_found' => 'No Job seekers found',
        'hire_me' => 'Hire Me',
        'candidate_name' => 'Candidate Name',
        'opened_jobs' => 'Opened Jobs',
    ],

    //Company Details keys
    'company_details' => [
        'follow' => 'Follow',
        'unfollow' => 'Unfollow',
        'report_to_company' => 'Report To Company',
        'our_latest_jobs' => 'Our Latest Jobs',
        'processing' => 'Processing...',
    ],

    //About Us keys
    'about_us_menu' => [
        'how_it_works' => 'How It Works',
        'register' => 'Register',
        'submit_resume' => 'Submit Resume',
        'start_working' => 'Start Working',
        'frequently_asked_questions' => 'Frequently Asked Questions',
        'faq' => 'FAQ',
        'step_1' => 'Step 1',
        'step_2' => 'Step 2',
        'step_3' => 'Step 3',
        'start_by_creating_an_account' => 'Start by creating an account on our awesome platform',
        'fill_out_our_forms_and_submit' => 'Fill out our forms and submit your resume right away',
        'start_your_new_career_by_working' => 'Start your new career by working with one of the most successful companies',
        'faq_not_available' => 'Frequently Asked Questions not available',
    ],

    //Contact Us keys
    'contact_us_menu' => [
        'contact_us' => 'Contact Us',
        'send_message' => 'Send Message',
    ],

    //Post keys
    'post_menu' => [
        'post' => 'Post',
        'posts' => 'Posts',
        'read_more' => 'Read More',
        'popular_post' => 'Popular Posts',
        'newsletter' => 'Newsletter',
        'share' => 'Share',
        'categories' => 'Categories',
    ],

    //Register Keys
    'register_menu' => [
        'candidate' => 'Candidate',
        'employer' => 'Employer',
        'create_account' => 'Create Account',
    ],

    //footer keys
    'footer' => [
        'useful_links' => 'Useful Links',
        'newsletter' => 'Newsletter',
        'newsletter_text' => 'Stay Connected with our regular updates by subscribing our newsletter.',
        'copyright' => 'Copyright',
        'all_rights_reserved' => 'All Rights Reserved',
        'sign_in' => 'Sign in',
        'new_account' => 'New account',
        'username' => 'UserName',
        'i_agree_to_the' => 'I agree to the',
        'terms' => 'Terms',
    ],

    //login keys
    'login_menu' => [
        'login_to' => 'Login To',
        'remember_me' => 'Remember me',
        'forget_password' => 'Forgot password?',
        'login_via_google' => 'Log In via Google',
        'login_via_facebook' => 'Log In via Facebook',
        'login_via_linkedin' => 'Log In via Linkedin',
    ],

    //header keys
    'header' => [
        'toggle_navigation' => 'Toggle navigation',
        'main_menu' => 'Main Menu',
    ],

    //Web keys
    'web_home' => [
        'what' => 'What',
        'where' => 'Where',
        'find_jobs' => 'Find Jobs',
        'job_title_keywords_company' => 'Job title, keywords, or company',
        'city_or_postcode' => 'City or Postal Code',
        'popular_job_categories' => 'Popular Job Categories',
        'no_location_added' => 'No location added',
        'open_position' => 'Open Position',
        'pricing_packages' => 'Pricing Packages',
        'monthly' => 'monthly',
        'helpful_resources' => 'Helpful Resources',
    ],

    'web_jobs' => [
        'find_jobs' => 'Find Jobs',
        'search_by_keywords' => 'Search by Keywords',
        'job_description' => 'Job Description',
        'facebook' => 'Facebook',
        'twitter' => 'Twitter',
        'google' => 'Google+',
        'pinterest' => 'Pinterest',
        'linkedin' => 'Linkedin',
        'job_overview' => 'Job Overview',
        'posted' => 'Posted',
        'expiration_date' => 'Expiration date',
        'view_company_profile' => 'View company profile',
        'founded_in' => 'Founded in',
        'phone' => 'Phone',
    ],

    'web_company' => [
        'search_company' => 'Search Company',
        'search_city' => 'Search City',
        'search_by_industry' => 'Search By Industry',
        'about_company' => 'About Company',
        'ownership' => 'Ownership',
        'company_size' => 'Company size',
        'social_media' => 'Social media',
    ],

    'web_jobSeeker' => [
        'search_by_location' => 'Search By Location',
        'search_by_job_title_name' => 'Search by Job Title/Name',
        'by_job_title' => 'By Job Title',
        'by_name' => 'By Name',
        'show_filters' => 'Show Filters',
        'view_profile' => 'View Profile',
        'job_for_anyone_anywhere' => 'Job for anyone, anywhere',
    ],

    'web_contact' => [
        'leave_a_message' => 'Leave Us a Message',
        'your_name' => 'Your Name',
        'your_email' => 'Your Email',
        'subject' => 'Subject',
        'your_phone_no' => 'Your Phone No',
        'your_message' => 'Your Message',
        'phone_number' => 'Phone Number',
        'type_your_message' => 'Type your message...',
    ],

    'web_blog' => [
        'comments' => 'Comments',
        'recent_posts' => 'Recent Posts',
        'your_name' => 'Your name',
        'your_email' => 'Your email',
        'your_comment' => 'Your comment',
        'add_your_comment' => 'Add your comment',
    ],
];
