<?php

return [

    /*
    |--------------------------------------------------------------------------
    | All Titles and static string in blade files
    |
    | Web Front side localization - Spanish Language
    |--------------------------------------------------------------------------
    |
    */

    //header keys
    'home' => 'Inicio',
    'jobs' => 'Trabajos',
    'companies' => 'Empresas',
    'about_us' => 'Acerca de nosotros',
    'term_conditions' => 'Término y condiciones',
    'contact_us' => 'Contáctenos',
    'blogs' => 'Blogs',
    'register' => 'Registrarse',
    'login' => 'Iniciar sesión',
    'sign_up' => 'Registrarse',
    'logout' => 'Cerrar sesión',
    'go_to_dashboard' => 'Ir al panel de control',
    'post_of' => 'Publicación de',
    'reset_filter' => 'Restablecer filtro',
    'job_seekers' => 'Buscadores de empleo',
    'blog_detail' => 'Detalle del blog',
    'enter_your_mail' => 'Ingrese su correo',
    'your_name' => 'Your Name',
    'your_email' => 'Your Email',
    'your_comment' => 'Your Comment',
    'open_positions' => 'Posiciones abiertas',
    'no_positions' => 'Sin posiciones',

    //common keys
    'common' => [
        'search' => 'Buscar',
        'browse_all' => 'Examinar todos',
        'location' => 'Ubicación',
        'show_all' => 'Mostrar todo',
        'notes' => 'Notas',
        'apply' => 'Aplicar',
        'submit' => 'Enviar',
        'name' => 'Nombre',
        'first_name' => 'Nombre',
        'last_name' => 'Apellido',
        'email' => 'Correo electrónico',
        'password' => 'Contraseña',
        'confirm_password' => 'Confirmar contraseña',
        'close' => 'Cerrar',
        'save_as_draft' => 'Guardar como borrador',
    ],

    //home menu keys
    'home_menu' => [
        'your_career_starts_now' => 'Tu carrera comienza ahora',
        'keywords' => 'Palabras clave',
        'any_category' => 'Cualquier categoría',
        'popular_categories' => 'Categorías populares',
        'latest_jobs' => 'Últimos trabajos',
        'featured_jobs' => 'Trabajos destacados',
        'featured_companies' => 'Empresas destacadas',
        'resume' => 'Reanudar',
        'testimonials' => 'Testimonios',
        'jobs_offers_for' => 'Ofertas de empleo para',
        'you' => 'usted',
        'positions_open' => 'Posiciones abiertas',
        'position_open' => 'Posición abierta',
        'featured_job_not_available' => 'El trabajo destacado no está disponible.',
        'opened_jobs' => 'Trabajos abiertos',
        'featured_companies_not_available' => 'Empresas destacadas no disponibles.',
        'notices' => 'Avisos',
        'you_are_logged_in' => '¡Has iniciado sesión!',
        'latest_job_not_available' => 'El último trabajo no está disponible.',
    ],

    //jobs menu keys
    'job_menu' => [
        'search_job' => 'Buscar trabajos',
        'job_by_type' => 'Trabajo por tipo',
        'type' => 'Tipo',
        'job_by_categories' => 'Trabajo por categorías',
        'job_by_skills' => 'Trabajo por habilidades',
        'job_by_gender' => 'Trabajo por género',
        'job_by_career_level' => 'Trabajo por nivel de carrera',
        'job_by_functional_area' => 'Trabajo por área funcional',
        'salary_from' => 'Salario de',
        'salary_to' => 'Salario hasta',
        'job_details' => 'Detalles del trabajo',
        'we_found' => 'Encontramos',
        'matches' => 'Partidos',
        'no_results_found' => 'No se encontraron resultados',
        'full_time' => 'Tiempo completo',
        'none' => 'Ninguno',
        'search_followers' => 'Seguidores de búsqueda',
        'search_followings' => 'Buscar seguidores',
        'search_applied_job' => 'Buscar trabajos aplicados',
        'advertise_image' => 'Anunciar imagen',
    ],

    //job details keys
    'job_details' => [
        'job_details' => 'Detalles del trabajo',
        'email_to_friend' => 'Enviar correo electrónico a un amigo',
        'report_abuse' => 'Informar abuso',
        'add_to_favorite' => 'Agregar a favoritos',
        'share_this_job' => 'Comparte este trabajo',
        'date_posted' => 'Fecha de publicación',
        'job_skills' => 'Habilidades laborales',
        'salary' => 'Salario',
        'edit_draft' => 'Editar borrador',
        'apply_for_job' => 'Solicitar trabajo',
        'already_applied' => 'Ya aplicado',
        'company_overview' => 'Descripción general de la empresa',
        'job_title' => 'Título del trabajo',
        'posted_on' => 'Publicado el',
        'job_type' => 'Tipo de trabajo',
        'job_category' => 'Categoría de trabajo',
        'profession_level' => 'Nivel de carrera',
        'job_shift' => 'Turno de trabajo',
        'currency' => 'Moneda',
        'salary_period' => 'Período de salario',
        'Functional_area' => 'Área funcional',
        'degree_level' => 'Nivel de grado',
        'position' => 'Posición',
        'company_name' => 'Nombre de la empresa',
        'job_expiry_date' => 'Fecha de vencimiento del trabajo',
        'country' => 'País',
        'state' => 'Estado',
        'city' => 'Ciudad',
        'is_freelance' => 'Es Freelance',
        'hide_salary' => 'Ocultar salario',
        'related_jobs' => 'Trabajos relacionados',
        'related_job_not_available' => 'Trabajo relacionado no disponible.',
        'remove_from_favorite' => 'Eliminar de Favoritos',
        'add_to_favorites' => 'Agregar a favoritos',
        'send_to_friend' => 'Enviar a un amigo',
        'report' => 'Informe',
        'job_is' => 'El trabajo es',
        'click_here' => 'Haga clic aquí',
        'to_upload_resume' => 'para subir currículum',
        'register_to_apply' => 'Registrarse para postularse',
        'location_information_not_available' => 'Información de ubicación no disponible.',
    ],

    'apply_for_job' => [
        'apply_for' => 'Solicitar',
        'fill_details' => 'Detalles de relleno',
        'expected_salary ' => ' Salario esperado ',
        'save_as_draft' => 'Guardar como borrador',
        'we_received_your_application' => 'Recibimos su solicitud y le informaremos cuando se tome una decisión sobre su solicitud de empleo',
        'due_to_our_continued_growth' => 'Debido a nuestro continuo crecimiento, estamos contratando un nuevo puesto de',
        'or_words_to_that_effect' => 'o palabras en ese sentido',
        'already_applied' => 'Ya aplicado',
        'share_this_job' => 'Comparte este trabajo',
    ],

    //Companies Menu
    'companies_menu' => [
        'search_companies' => 'Buscar empresas',
        'opened_jobs' => 'Trabajo abierto',
        'Featured' => 'Destacado',
        'no_company_found' => 'No se encontró empresa',
    ],

    //Companies Menu
    'candidates_menu' => [
        'search_candidates' => 'Buscar candidatos',
        'no_candidates_found' => 'No se han encontrado candidatos',
        'hire_me' => 'Contrátame',
        'candidate_name' => 'Candidate Name',
        'opened_jobs' => 'Trabajos abiertos',
    ],

    //Company Details keys
    'company_details' => [
        'follow' => 'Seguir',
        'unfollow' => 'Dejar de seguir',
        'report_to_company' => 'Informar a la empresa',
        'our_latest_jobs' => 'Nuestros últimos trabajos',
        'Processing' => 'Procesando ...',
    ],

    //About Us keys
    'about_us_menu' => [
        'how_it_works' => 'Cómo funciona',
        'register' => 'Registrarse',
        'submit_resume' => 'Enviar CV',
        'start_working' => 'Empezar a trabajar',
        'frequently_asked_questions' => 'Preguntas frecuentes',
        'faq' => 'Preguntas frecuentes',
        'step_1' => 'Paso 1',
        'step_2' => 'Paso 2',
        'step_3' => 'Paso 3',
        'start_by_creating_an_account' => 'Comience creando una cuenta en nuestra increíble plataforma',
        'fill_out_our_forms_and_submit' => 'Complete nuestros formularios y envíe su currículum de inmediato',
        'start_your_new_career_by_working' => 'Empiece su nueva carrera trabajando con una de las empresas más exitosas',
        'faq_not_available' => 'Preguntas frecuentes no disponibles',
    ],

    //Contact Us keys
    'contact_us_menu' => [
        'contact_us' => 'Contáctenos',
        'send_message' => 'Enviar mensaje',
    ],

    //Post keys
    'post_menu' => [
        'post' => 'Publicar',
        'posts' => 'Publicaciones',
        'read_more' => 'Leer más',
        'popular_post' => 'Publicaciones populares',
        'newsletter' => 'Newsletter',
        'share' => 'Compartir',
        'categories' => 'Categorías',
    ],

    //Register Keys
    'register_menu' => [
        'candidate' => 'Candidato',
        'employer' => 'Empleador',
        'create_account' => 'Crear cuenta',
    ],

    //footer keys
    'footer' => [
        'useful_links' => 'Enlaces útiles',
        'newsletter' => 'Boletin informativo',
        'newsletter_text' => 'Manténgase conectado con nuestras actualizaciones periódicas suscribiéndose a nuestro boletín.',
        'copyright' => 'Derechos de autor',
        'all_rights_reserved' => 'Todos los derechos reservados',
        'sign_in' => 'Iniciar sesión',
        'new_account' => 'Nueva cuenta',
        'username' => 'Nombre de usuario',
        'i_agree_to_the' => 'Estoy de acuerdo con',
        'terms' => 'Condiciones',
    ],

    //login keys
    'login_menu' => [
        'login_to' => 'Iniciar sesión en',
        'remember_me' => '¿Me recuerdas',
        'forget_password' => '¿Olvidó su contraseña?',
        'login_via_google' => 'Iniciar sesión a través de Google',
        'login_via_facebook' => 'Iniciar sesión a través de Facebook',
        'login_via_linkedin' => 'Connectez-vous via Linkedin',
    ],

    //header keys
    'header' => [
        'toggle_navigation' => 'Alternar navegación',
        'main_menu' => 'Menú principal',
    ],

    //Web keys
    'web_home' => [
        'what' => 'Qué',
        'where' => 'Dónde',
        'find_jobs' => 'Encontrar trabajos',
        'job_title_keywords_company' => 'Título del trabajo, palabras clave o empresa',
        'city_or_postcode' => 'Ciudad o código postal',
        'popular_job_categories' => 'Categorías de empleo populares',
        'no_location_added' => 'No se agregó ninguna ubicación',
        'open_position' => 'Posición abierta',
        'pricing_packages' => 'Paquetes de precios',
        'monthly' => 'mensual',
        'helpful_resources' => 'Recursos útiles',
    ],

    'web_jobs' => [
        'find_jobs' => 'Encontrar trabajos',
        'search_by_keywords' => 'Buscar por palabras clave',
        'job_description' => 'Descripción del trabajo',
        'facebook' => 'Facebook',
        'twitter' => 'Gorjeo',
        'google' => 'Google+',
        'pinterest' => 'Pinterest',
        'linkedin' => 'Linkedin',
        'job_overview' => 'Resumen del trabajo',
        'posted' => 'Al corriente',
        'expiration_date' => 'Fecha de caducidad',
        'view_company_profile' => 'Ver perfil de la empresa',
        'founded_in' => 'Fundado en',
        'phone' => 'Teléfono',
    ],

    'web_company' => [
        'search_company' => 'Buscar empresa',
        'search_city' => 'Buscar ciudad',
        'search_by_industry' => 'Buscar por industria',
        'about_company' => 'Acerca de la compañía',
        'ownership' => 'Propiedad',
        'company_size' => 'Tamaño de la empresa',
        'social_media' => 'Social media',
    ],

    'web_jobSeeker' => [
        'search_by_location' => 'Buscar por ubicación',
        'search_by_job_title_name' => 'Buscar por título / nombre del puesto',
        'by_job_title' => 'Por puesto de trabajo',
        'by_name' => 'Por nombre',
        'show_filters' => 'Mostrar filtros',
        'view_profile' => 'Ver perfil',
        'job_for_anyone_anywhere' => 'Trabajo para cualquiera, en cualquier lugar',
    ],

    'web_contact' => [
        'leave_a_message' => 'Déjanos un mensaje',
        'your_name' => 'Tu nombre',
        'your_email' => 'Tu correo electrónico',
        'subject' => 'Sujeta',
        'your_phone_no' => 'Tu teléfono no',
        'your_message' => 'Tu mensaje',
        'phone_number' => 'Número de teléfono',
        'type_your_message' => 'Escribe tu mensaje...',
    ],

    'web_blog' => [
        'comments' => 'Comentarios',
        'recent_posts' => 'Mensajes recientes',
        'your_name' => 'Su nombre',
        'your_email' => 'Tu correo electrónico',
        'your_comment' => 'Tu comentario',
        'add_your_comment' => 'Añade tu comentario',
    ],
];
