<?php

return [

    /*
    |--------------------------------------------------------------------------
    | All Titles and static string in blade files
    |
    | Web Front side localization - French Language
    |--------------------------------------------------------------------------
    |
    */

    //header keys
    'home' => 'Accueil',
    'jobs' => 'Emplois',
    'companies' => 'Entreprises',
    'about_us' => 'À propos de nous',
    'term_conditions' => 'Termes et conditions',
    'contact_us' => 'Contactez-nous',
    'blogs' => 'Blogs',
    'register' => 'S`inscrire',
    'login' => 'Connexion',
    'sign_up' => 'Inscription',
    'logout' => 'Déconnexion',
    'go_to_dashboard' => 'Accéder au tableau de bord',
    'post_of' => 'Publication de',
    'reset_filter' => 'Réinitialiser le filtre',
    'job_seekers' => 'Chercheurs d`emploi',
    'blog_detail' => 'Détail du blog',
    'enter_your_mail' => 'Entrez votre courrier',
    'your_name' => 'votre nom',
    'your_email' => 'Votre e-mail',
    'your_comment' => 'Votre commentaire',
    'open_positions' => 'Open Positions',
    'no_positions' => 'No positions',

    //common keys
    'common' => [
        'search' => 'Rechercher',
        'browse_all' => 'Tout parcourir',
        'location' => 'Emplacement',
        'show_all' => 'Tout afficher',
        'notes' => 'Notes',
        'apply' => 'Appliquer',
        'submit' => 'Soumettre',
        'name' => 'Nom',
        'first_name' => 'Prénom',
        'last_name' => 'Nom de famille',
        'email' => 'E-mail',
        'password' => 'Mot de passe',
        'confirm_password' => 'Confirmer le mot de passe',
        'close' => 'Fermer',
        'save_as_draft' => 'Enregistrer comme brouillon',
    ],

    //home menu keys
    'home_menu' => [
        'your_career_starts_now' => 'Votre carrière commence maintenant',
        'keywords' => 'Mots clés',
        'any_category' => 'Toute catégorie',
        'popular_categories' => 'Catégories populaires',
        'latest_jobs' => 'Derniers emplois',
        'featured_jobs' => 'Emplois en vedette',
        'featured_companies' => 'Entreprises en vedette',
        'resume' => 'Reprendre',
        'testimonials' => 'Témoignages',
        'jobs_offers_for' => 'Offres d`emploi pour',
        'you' => 'vous',
        'positions_open' => 'Positions ouvertes',
        'position_open' => 'Position ouverte',
        'featured_job_not_available' => 'Le poste présenté n`est pas disponible.',
        'opened_jobs' => 'Emplois ouverts',
        'featured_companies_not_available' => 'Entreprises en vedette non disponibles.',
        'notices' => 'Avis',
        'you_are_logged_in' => 'Vous êtes connecté!',
        'latest_job_not_available' => 'Le dernier travail n\'est pas disponible.',
    ],

    //jobs menu keys
    'job_menu' => [
        'search_job' => 'Rechercher des emplois',
        'job_by_type' => 'Travail par type',
        'type' => 'Type',
        'job_by_categories' => 'Emploi par catégories',
        'job_by_skills' => 'Emploi par compétences',
        'job_by_gender' => 'Emploi par sexe',
        'job_by_career_level' => 'Emploi par niveau de carrière',
        'job_by_functional_area' => 'Tâche par domaine fonctionnel',
        'salary_from' => 'Salaire de',
        'salary_to' => 'Salaire à',
        'job_details' => 'Détails de la tâche',
        'we_found' => 'Nous avons trouvé',
        'matches' => 'Correspondances',
        'no_results_found' => 'Aucun résultat trouvé',
        'full_time' => 'Temps plein',
        'none' => 'Aucun',
        'search_followers' => 'Rechercher des abonnés',
        'search_followings' => 'Rechercher les suivis',
        'search_applied_job' => 'Rechercher des emplois appliqués',
        'advertise_image' => 'Annoncer l`image',
    ],

    //job details keys
    'job_details' => [
        'job_details' => 'Détails de la tâche',
        'email_to_friend' => 'Envoyer un e-mail à un ami',
        'report_abuse' => 'Signaler un abus',
        'add_to_favorite' => 'Ajouter aux favoris',
        'share_this_job' => 'Partager ce travail',
        'date_posted' => 'Date de publication',
        'job_skills' => 'Compétences professionnelles',
        'salary' => 'Salaire',
        'edit_draft' => 'Modifier le brouillon',
        'apply_for_job' => 'Postuler à un emploi',
        'already_applied' => 'Déjà appliqué',
        'company_overview' => 'Présentation de la société',
        'job_title' => 'Titre du poste',
        'posted_on' => 'Publié le',
        'job_type' => 'Type de travail',
        'job_category' => 'Catégorie d`emploi',
        'career_level' => 'Niveau de carrière',
        'job_shift' => 'Changement de travail',
        'currency' => 'Devise',
        'salary_period' => 'Période de salaire',
        'Functional_area' => 'Zone fonctionnelle',
        'degree_level' => 'Niveau de diplôme',
        'position' => 'Position',
        'company_name' => 'Nom de la société',
        'job_expiry_date' => 'Date d`expiration du travail',
        'country' => 'Pays',
        'state' => 'État',
        'city' => 'Ville',
        'is_freelance' => 'Est indépendant',
        'hide_salary' => 'Masquer le salaire',
        'related_jobs' => 'Emplois associés',
        'related_job_not_available' => 'Travail associé non disponible.',
        'remove_from_favorite' => 'Supprimer des favoris',
        'add_to_favorites' => 'Ajouter aux Favoris',
        'send_to_friend' => 'Envoyer à un ami',
        'report' => 'Rapport',
        'job_is' => 'Le travail est',
        'click_here' => 'Cliquez ici',
        'to_upload_resume' => 'pour télécharger le CV',
        'register_to_apply' => 'Inscrivez-vous pour postuler',
        'location_information_not_available' => 'Informations de localisation non disponibles.',
    ],

    'apply_for_job' => [
        'apply_for' => 'Postuler pour',
        'fill_details' => 'Remplir les détails',
        'expected_salary' => 'Salaire attendu',
        'save_as_draft' => 'Enregistrer comme brouillon',
        'we_received_your_application' => 'Nous avons reçu votre candidature et nous vous informerons lorsque la décision sera prise sur votre candidature',
        'due_to_our_continued_growth' => 'En raison de notre croissance continue, nous recrutons un nouveau poste de',
        'or_words_to_that_effect' => 'ou des mots à cet effet',
        'already_applied' => 'Déjà appliqué',
        'share_this_job' => 'Partagez ce travail',
    ],

    //Companies Menu
    'companies_menu' => [
        'search_companies' => 'Rechercher des entreprises',
        'opened_jobs' => 'Ouvrir un travail',
        'featured' => 'En vedette',
        'no_company_found' => 'Aucune entreprise trouvée',
    ],

    //Companies Menu
    'candidates_menu' => [
        'search_candidates' => 'Rechercher des candidats',
        'no_candidates_found' => 'Aucun demandeur d`emploi trouvé',
        'hire_me' => 'Embauchez-moi',
        'candidate_name' => 'Nom du candidat',
        'opened_jobs' => 'Emplois ouverts',
    ],

    //Company Details keys
    'company_details' => [
        'follow' => 'Suivre',
        'unfollow' => 'Ne plus suivre',
        'report_to_company' => 'Signaler à la société',
        'our_latest_jobs' => 'Nos derniers emplois',
        'processing' => 'Traitement ...',
    ],

    //About Us keys
    'about_us_menu' => [
        'how_it_works' => 'Comment ça marche',
        'register' => 'S`inscrire',
        'submit_resume' => 'Soumettre un CV',
        'start_working' => 'Commencer à travailler',
        'frequently_asked_questions' => 'Questions fréquemment posées',
        'faq' => 'FAQ',
        'step_1' => 'Étape 1',
        'step_2' => 'Étape 2',
        'step_3' => 'Étape 3',
        'start_by_creating_an_account' => 'Commencez par créer un compte sur notre formidable plateforme',
        'fill_out_our_forms_and_submit' => 'Remplissez nos formulaires et soumettez votre CV tout de suite',
        'start_your_new_career_by_working' => 'Commencez votre nouvelle carrière en travaillant avec l`une des entreprises les plus performantes',
        'faq_not_available' => 'Foire aux questions non disponible',
    ],

    //Contact Us keys
    'contact_us_menu' => [
        'contact_us' => 'Contactez-nous',
        'send_message' => 'Envoyer un message',
    ],

    //Post keys
    'post_menu' => [
        'post' => 'Publier',
        'posts' => 'Messages',
        'read_more' => 'Lire la suite',
        'popular_post' => 'Articles populaires',
        'newsletter' => 'Bulletin',
        'share' => 'Partager',
        'categories' => 'Catégories',
    ],

    //Register Keys
    'register_menu' => [
        'candidate' => 'Candidat',
        'employer' => 'Employeur',
        'create_account' => 'Créer un compte',
    ],

    //footer keys
    'footer' => [
        'useful_links' => 'Liens utiles',
        'newsletter' => 'Bulletin',
        'newsletter_text' => 'Restez connecté avec nos mises à jour régulières en vous inscrivant à notre newsletter.',
        'copyright' => 'Droits d`auteur',
        'all_rights_reserved' => 'Tous droits réservés',
        'sign_in' => 'Connectez-vous',
        'new_account' => 'Nouveau compte',
        'username' => 'Nom d`utilisateur',
        'i_agree_to_the' => 'J`accepte le',
        'terms' => 'Conditions',
    ],

    //login keys
    'login_menu' => [
        'login_to' => 'Connexion à',
        'remember_me' => 'Vous vous souvenez de moi',
        'forget_password' => 'Mot de passe oublié?',
        'login_via_google' => 'Connectez-vous via Google',
        'login_via_facebook' => 'Connectez-vous via Facebook',
        'login_via_linkedin' => 'Connectez-vous via Linkedin',
    ],

    //header keys
    'header' => [
        'toggle_navigation' => 'Basculer la navigation',
        'main_menu' => 'Menu principal',
    ],

    //Web keys
    'web_home' => [
        'what' => 'Quoi',
        'where' => 'Où',
        'find_jobs' => 'Trouver des emplois',
        'job_title_keywords_company' => 'Titre du poste, mots-clés ou entreprise',
        'city_or_postcode' => 'Ville ou code postal',
        'popular_job_categories' => 'Catégories d\'emplois populaires',
        'no_location_added' => 'Aucun emplacement ajouté',
        'open_position' => 'Poste libre',
        'pricing_packages' => 'Forfaits tarifaires',
        'monthly' => 'mensuelle',
        'helpful_resources' => 'Ressources utiles',
    ],

    'web_jobs' => [
        'find_jobs' => 'Trouver des emplois',
        'search_by_keywords' => 'Recherche par mots-clés',
        'job_description' => 'Description de l\'emploi',
        'facebook' => 'Facebook',
        'twitter' => 'Twitter',
        'google' => 'Google+',
        'pinterest' => 'Pinterest',
        'linkedin' => 'Linkedin',
        'job_overview' => 'Aperçu du poste',
        'posted' => 'Publié',
        'expiration_date' => 'Date d\'expiration',
        'view_company_profile' => 'Voir le profil de l\'entreprise',
        'founded_in' => 'Fondé en',
        'phone' => 'Téléphone',
    ],

    'web_company' => [
        'search_company' => 'Rechercher une entreprise',
        'search_city' => 'Recherche Ville',
        'search_by_industry' => 'Recherche par industrie',
        'about_company' => 'À propos de la société',
        'ownership' => 'La possession',
        'company_size' => 'Taille de l\'entreprise',
        'social_media' => 'Des médias sociaux',
    ],

    'web_jobSeeker' => [
        'search_by_location' => 'Recherche par emplacement',
        'search_by_job_title_name' => 'Recherche par titre/nom du poste',
        'by_job_title' => 'Par titre de poste',
        'by_name' => 'De nom',
        'show_filters' => 'Afficher les filtres',
        'view_profile' => 'Voir le profil',
        'job_for_anyone_anywhere' => 'Travail pour n\'importe qui, n\'importe où',
    ],

    'web_contact' => [
        'leave_a_message' => 'Laissez-nous un message',
        'your_name' => 'votre nom',
        'your_email' => 'Votre e-mail',
        'subject' => 'Sujette',
        'your_phone_no' => 'Votre numéro de téléphone',
        'your_message' => 'Votre message',
        'phone_number' => 'Numéro de téléphone',
        'type_your_message' => 'Tapez votre message...',
    ],

    'web_blog' => [
        'comments' => 'commentaires',
        'recent_posts' => 'Messages récents',
        'your_name' => 'Votre nom',
        'your_email' => 'Votre e-mail',
        'your_comment' => 'Votre commentaire',
        'add_your_comment' => 'Ajoutez votre commentaire',
    ],
];
