<?php

return [

    /*
    |--------------------------------------------------------------------------
    | All Titles and static string in blade files
    |
    | Web Front side localization - Chinese Language
    |--------------------------------------------------------------------------
    |
    */

    //header keys
    'home' => '家',
    'jobs' => '工作',
    'companies' => '公司',
    'about_us' => '关于我们',
    'term_conditions' => '条款和条件',
    'contact_us' => '联系我们',
    'blogs' => '博客',
    'register' => '寄存器',
    'login' => '登录',
    'sign_up' => '注册',
    'logout' => '注销',
    'go_to_dashboard' => '转到仪表板',
    'post_of' => '的职位',
    'reset_filter' => '重置过滤器',
    'job_seekers' => '求职者',
    'blog_detail' => '博客详情',
    'enter_your_mail' => '输入您的邮件',
    'your_name' => '你的名字',
    'your_email' => '你的邮件',
    'your_comment' => '你的评论',
    'open_positions' => '空缺职位',
    'no_positions' => '没有职位',

    //common keys
    'common' => [
        'search' => '搜索',
        'browse_all' => '全部浏览',
        'location' => '位置',
        'show_all' => '显示全部',
        'notes' => '注释',
        'apply' => '應用',
        'submit' => '提交',
        'name' => '名称',
        'first_name' => '名字',
        'last_name' => '姓氏',
        'email' => '电子邮件',
        'password' => '密碼',
        'confirm_password' => '确认密码',
        'close' => '关闭',
        'save_as_draft' => '保存為草稿',
    ],

    //home menu keys
    'home_menu' => [
        'your_career_starts_now' => '您的职业生涯现在开始',
        'keywords' => '关键字',
        'any_category' => '任何类别',
        'popular_categories' => '热门类别',
        'latest_jobs' => '最新职位',
        'featured_jobs' => '特色职位',
        'featured_companies' => '特色公司',
        'resume' => '恢复',
        'testimonials' => '推荐书',
        'jobs_offers_for' => '求职机会',
        'you' => '你',
        'positions_open' => '職位空缺',
        'position_open' => '位置打开',
        'featured_job_not_available' => '特色工作不可用。',
        'opened_jobs' => '打开工作',
        'featured_companies_not_available' => '特色公司不可用。',
        'notices' => '告示',
        'you_are_logged_in' => '您已登录！',
        'latest_job_not_available' => '最新作業不可用。',
    ],

    //jobs menu keys
    'job_menu' => [
        'search_job' => '搜索工作',
        'job_by_type' => '按类型工作',
        'type' => '類型',
        'job_by_categories' => '按类别工作',
        'job_by_skills' => '技能工作',
        'job_by_gender' => '按性别工作',
        'job_by_career_level' => '按职业级别的职位',
        'job_by_functional_area' => '按功能区工作',
        'salary_from' => '薪水來自',
        'salary_to' => '薪水至',
        'job_details' => '职位详细信息',
        'we_found' => '我们找到',
        'matches' => '火柴',
        'no_results_found' => '未找到结果',
        'full_time' => '全职',
        'none' => '沒有',
        'search_followers' => '搜索关注者',
        'search_followings' => '搜索关注',
        'search_applied_job' => '搜索應聘職位',
        'advertise_image' => '广告图片',
    ],

    //job details keys
    'job_details' => [
        'job_details' => '职位详细信息',
        'email_to_friend' => '通过电子邮件发送给朋友',
        'report_abuse' => '报告滥用',
        'add_to_favorite' => '添加到收藏夹',
        'share_this_job' => '分享这份工作',
        'date_posted' => '日期发布',
        'job_skills' => '工作技能',
        'salary' => '薪水',
        'edit_draft' => '编辑草稿',
        'apply_for_job' => '申请工作',
        'already_applied' => '已应用',
        'company_overview' => '公司概述',
        'job_title' => '职位名称',
        'posted_on' => '發表於',
        'job_type' => '职位类型',
        'job_category' => '职位类别',
        'career_level' => '职业级别',
        'job_shift' => '工作转移',
        'currency' => '貨幣',
        'salary_period' => '工资期',
        'functional_area' => '功能区',
        'degree_level' => '学位程度',
        'position' => '位置',
        'company_name' => '公司名称',
        'job_expiry_date' => '工作截止日期',
        'country' => '国家',
        'state' => '状态',
        'city' => '市',
        'is_freelance' => '是自由职业者',
        'hide_salary' => '隐藏工资',
        'related_jobs' => '相关职位',
        'related_job_not_available' => '相关工作不可用。',
        'remove_from_favorite' => '从最爱中删除',
        'add_to_favorites' => '添加到收藏夹',
        'send_to_friend' => '发送给朋友',
        'report' => '报告',
        'job_is' => '工作是',
        'click_here' => '點擊這裡',
        'to_upload_resume' => '上传简历',
        'register_to_apply' => '注册申请',
        'location_information_not_available' => '位置信息不可用。',
    ],

    'apply_for_job' => [
        'apply_for' => '适用于',
        'fill_details' => '填写详细信息',
        'expected_salary' => '预期工资',
        'save_as_draft' => '另存为草稿',
        'we_received_your_application' => '我们已收到您的申请，当您对工作申请做出决定后，我们会通知您',
        'due_to_our_continued_growth' => '由于我们的持续增长，我们正在招聘新的职位',
        'or_words_to_that_effect' => '或具有这种效果的词',
        'already_applied' => '已应用',
        'share_this_job' => '分享這份工作',
    ],

    //Companies Menu
    'companies_menu' => [
        'search_companies' => '搜索公司',
        'opened_jobs' => '打开工作',
        'featured' => '功能',
        'no_company_found' => '没有找到公司',
        'opened_jobs' => '職位空缺',
    ],

    //Companies Menu
    'candidates_menu' => [
        'search_candidates' => '搜索候选人',
        'no_candidates_found' => '未找到求职者',
        'hire_me' => '雇用我',
        'candidate_name' => '候选人名称',
    ],

    //Company Details keys
    'company_details' => [
        'follow' => '关注',
        'unfollow' => '取消关注',
        'report_to_company' => '向公司报告',
        'our_latest_jobs' => '我们的最新职位',
        'processing' => '处理中...',
    ],

    //About Us keys
    'about_us_menu' => [
        'how_it_works' => '工作原理',
        'register' => '寄存器',
        'submit_resume' => '提交简历',
        'start_working' => '开始工作',
        'frequently_asked_questions' => '常见问题',
        'faq' => '常见问题',
        'step_1' => '第1步',
        'step_2' => '第2步',
        'step_3' => '第三步',
        'start_by_creating_an_account' => '首先在我们出色的平台上创建帐户',
        'fill_out_our_forms_and_submit' => '填写我们的表格并立即提交您的简历',
        'start_your_new_career_by_working' => '通过与最成功的公司之一合作来开始新的职业',
        'faq_not_available' => '常见问题不可用',
    ],

    //Contact Us keys
    'contact_us_menu' => [
        'contact_us' => '联系我们',
        'send_message' => '发送消息',
    ],

    //Post keys
    'post_menu' => [
        'post' => '发布',
        'posts' => '帖子',
        'read_more' => '阅读更多',
        'popular_post' => '热门帖子',
        'newsletter' => '通讯',
        'share' => '分享',
        'categories' => '类别',
    ],

    //Register Keys
    'register_menu' => [
        'candidate' => '候选人',
        'employer' => '雇主',
        'create_account' => '创建帐户',
    ],

    //footer keys
    'footer' => [
        'useful_links' => '有用的链接',
        'newsletter' => '通訊',
        'newsletter_text' => '通过订阅新闻通讯来保持与我们的定期更新保持联系。',
        'copyright' => '版权',
        'all_rights_reserved' => '保留所有权利',
        'sign_in' => '登录',
        'new_account' => '新帐户',
        'username' => '用户名',
        'i_agree_to_the' => '我同意',
        'terms' => '條款',
    ],

    //login keys
    'login_menu' => [
        'login_to' => '登录到',
        'remember_me' => '还记得我吗',
        'forget_password' => '忘记密码了？',
        'login_via_google' => '通過Google登錄',
        'login_via_facebook' => '通過Facebook登錄',
        'login_via_linkedin' => '通过Linkedin登录',

    ],

    //header keys
    'header' => [
        'toggle_navigation' => '切换导航',
        'main_menu' => '主菜单',
    ],

    //Web keys
    'web_home' => [
        'what' => '什么',
        'where' => '在哪里',
        'find_jobs' => '找工作',
        'job_title_keywords_company' => '职位、关键词或公司',
        'city_or_postcode' => '城市或邮政编码',
        'popular_job_categories' => '热门职位类别',
        'no_location_added' => '未添加位置',
        'open_position' => '空缺职位',
        'pricing_packages' => '定价套餐',
        'monthly' => '每月',
        'helpful_resources' => '有用的资源',
    ],

    'web_jobs' => [
        'find_jobs' => '找工作',
        'search_by_keywords' => '按关键字搜索',
        'job_description' => '职位描述',
        'facebook' => 'Facebook',
        'twitter' => '推特',
        'google' => '谷歌+',
        'pinterest' => '品趣',
        'linkedin' => '领英',
        'job_overview' => '工作概述',
        'posted' => '已发布',
        'expiration_date' => '截止日期',
        'view_company_profile' => '查看公司简介',
        'founded_in' => '成立于',
        'phone' => '电话',
    ],

    'web_company' => [
        'search_company' => '搜索公司',
        'search_city' => '搜索城市',
        'search_by_industry' => '按行业搜索',
        'about_company' => '关于公司',
        'ownership' => '所有权',
        'company_size' => '公司规模',
        'social_media' => '社交媒体',
    ],

    'web_jobSeeker' => [
        'search_by_location' => '按位置搜索',
        'search_by_job_title_name' => '按职位/名称搜索',
        'by_job_title' => '按职位',
        'by_name' => '按名字',
        'show_filters' => '显示过滤器',
        'view_profile' => '查看资料',
        'job_for_anyone_anywhere' => '随时随地为任何人工作',
    ],

    'web_contact' => [
        'leave_a_message' => '给我们留言',
        'your_name' => '你的名字',
        'your_email' => '你的邮件',
        'subject' => '主题',
        'your_phone_no' => '您的电话号码',
        'your_message' => '您的留言',
        'phone_number' => '电话号码',
        'type_your_message' => '输入您的消息...',
    ],

    'web_blog' => [
        'comments' => '注释',
        'recent_posts' => '最近的帖子',
        'your_name' => '你的名字',
        'your_email' => '你的邮件',
        'your_comment' => '你的评论',
        'add_your_comment' => '添加您的评论',
    ],
];
