{{ Form::open(['id'=>'editCVExperienceForm']) }}
<div class="alert alert-danger d-none" id="editValidationErrorsBox">
    <i class='fa-solid fa-face-frown me-4'></i>
</div>
<input type="hidden" id="experienceId">
<div class="row">
    <div class="col-sm-6 mb-5">
        {{ Form::label('experience_title',__('messages.candidate_profile.experience_title').':', ['class' => 'form-label ']) }}
        <span class="required"></span>
        {{ Form::text('experience_title', null, ['class' => 'form-control','required', 'id' => 'editTitle']) }}
    </div>
    <div class="col-sm-6 mb-5">
        {{ Form::label('company',__('messages.candidate_profile.company').':', ['class' => 'form-label ']) }}
        <span class="required"></span>
        {{ Form::text('company', null, ['class' => 'form-control','required', 'id' => 'editCompany']) }}
    </div>
    <div class="col-sm-6 mb-5">
        {{ Form::label('country', __('messages.company.country').':', ['class' => 'form-label ']) }}
        <span class="required"></span>
        {{ Form::select('country_id', $data['countries'], null, ['id'=>'editCvCountry','class' => 'form-select','placeholder' => __('messages.company.select_country'), 'data-modal-type' => 'experience', 'data-is-edit' => 'true']) }}
    </div>
    <div class="col-sm-6 mb-5">
        {{ Form::label('state', __('messages.company.state').':', ['class' => 'form-label']) }}
        {{ Form::select('state_id', [], null, ['id'=>'editCvState','class' => 'form-select','placeholder' => __('messages.company.select_state'), 'data-modal-type' => 'experience', 'data-is-edit' => 'true']) }}
    </div>
    <div class="col-sm-6 mb-5">
        {{ Form::label('city', __('messages.company.city').':', ['class' => 'form-label']) }}
        {{ Form::select('city_id', [], null, ['id'=>'editCvCity','class' => 'form-select','placeholder' => __('messages.company.select_city'), 'data-is-edit' => 'true']) }}
    </div>
    <div class="col-sm-6 mb-5">
        {{ Form::label('start_date', __('messages.candidate_profile.start_date').':', ['class' => 'form-label ']) }}
        <span class="required"></span>
        <input type="text" name="start_date" id="editStartDate"
               class="form-control {{(getLoggedInUser()->theme_mode) ? 'bg-light' : 'bg-white'}}" autocomplete="off"
               placeholder="{{__('messages.candidate.available_at')}}">
    </div>
    <div class="col-sm-6 mb-5">
        {{ Form::label('end_date', __('messages.candidate_profile.end_date').':', ['class' => 'form-label']) }}
        <span
            class="required d-none" id="editRequiredText"></span>
        <input type="text" name="available_at" id="editEndDate"
               class="form-control {{(getLoggedInUser()->theme_mode) ? 'bg-light' : 'bg-white'}}" autocomplete="off"
               placeholder="End Date">
    </div>
    <div class="col-sm-6 mb-0">
        <label
            class='form-label'>{{ __('messages.candidate_profile.currently_working') }}</label>
        <label class="form-check form-switch form-switch-sm">
            <input type="checkbox" name="currently_working" class="form-check-input"
                   value="1" id="editWorking">
        </label>
    </div>
    <div class="col-sm-12 mb-5">
        {{ Form::label('description', __('messages.candidate_profile.description').':', ['class' => 'form-label']) }}
        {{ Form::textarea('description', null, ['class' => 'form-control','rows'=>'5','id' => 'editDescription']) }}
    </div>
</div>
<div class="d-flex justify-content-end">
    {{ Form::button(__('messages.common.save'), ['type'=>'submit','class' => 'btn btn-primary me-3','id'=>'btnEditExperienceSave','data-loading-text'=>"<span class='spinner-border spinner-border-sm'></span> Processing..."]) }}
    <button type="button" id="btnEditExperienceCancel"
            class="btn btn-secondary me-2">{{ __('messages.common.cancel') }}</button>
</div>
{{ Form::close() }}
