@foreach($data['candidateExperiences'] as $candidateExperience)
    <div class="col-12 col-sm-12 col-md-12 col-lg-12 candidate-experience shadow rounded p-5 mb-5"
         data-experience-id="{{ $loop->index }}"
         data-id="{{ $candidateExperience->id }}">
        <article class="article article-style-b ">
            <div class="article-details border-0">
                <div class="d-flex justify-content-between">
                    <div class="article-title">
                        <h5 class="experience-title text-primary">{{ Str::limit($candidateExperience->experience_title,50,'...') }}</h5>
                        <h6 class="text-muted">{{ $candidateExperience->company }}</h6>
                    </div>
                    <div class="article-cta candidate-experience-edit-delete">
                        <a href="javascript:void(0)"
                           class="btn px-2 text-primary fs-3 ps-0  edit-experience"
                           title="{{__('messages.common.edit')}}" data-bs-toggle="tooltip"
                           data-id="{{ $candidateExperience->id }}"> <i class="fa-solid fa-pen-to-square"></i></a>
                        <a href="javascript:void(0)"
                           class="btn px-2 text-danger fs-3 pe-0 delete-experience"
                           title="{{__('messages.common.delete')}}" data-bs-toggle="tooltip"
                           data-id="{{ $candidateExperience->id }}"><i class="fa-solid fa-trash"></i></a>
                    </div>
                </div>
                <span class="text-muted">{{ \Carbon\Carbon::parse($candidateExperience->start_date)->translatedFormat('jS M, Y')}} - </span>
                <span class="text-muted">
                    {{ ($candidateExperience->currently_working) ? __('messages.candidate_profile.present') : \Carbon\Carbon::parse($candidateExperience->end_date)->translatedFormat('jS M, Y') }}
                 | {{ $candidateExperience->country }}</span>
                @if(!empty($candidateExperience->description))
                    <p class="mb-0">{{ Str::limit($candidateExperience->description,225,'...') }}</p>
                @endif
            </div>
        </article>
    </div>
@endforeach
