<div class="row resumes">
    <div class="col-md-12 mb-8">
        <h1 class="fs-2hx mb-6 text-primary">{{ $user->full_name }}</h1>
        <div class="mt-3 d-flex flex-column">
            @isset($user->candidate->full_location)
                <div class="mb-1 d-flex align-items-center">
                    <img class="me-3" src="{{ asset('assets/img/map-marker.png') }}">
                    <span class=" text-muted fs-3">{{ $user->candidate->full_location}}</span>
                </div>
            @endisset
            <div class="mb-1 d-flex align-items-center">
                <img class="me-3" src="{{ asset('assets/img/envelope.png') }}">
                <span class=" text-muted fs-3">{{ $user->email}}</span>
            </div>
            <div class="d-flex align-items-center">
                <img class="me-3" src="{{ asset('assets/img/phone.png') }}">
                <span class=" text-muted fs-3">{{ $user->phone}}</span>
            </div>
        </div>
    </div>
    <div class="col-md-12 mb-8 ps-7">
        @if($user->candidateSkill->count())
            <h2 class="border-bottom border-2 border-danger pb-3 text-info fs-2x mb-5">
                <img class="text-info p-3 border rounded-circle border-info me-3" src="{{ asset('assets/img/list.png') }}">
                {{ __('messages.candidate.candidate_skill') }}
            </h2>
            @foreach($user->candidateSkill as $skill)
                <p class=" text-muted fs-3 custom-bullet">{{ $skill->name }}</p>
            @endforeach
        @endif
    </div>
    <div class="col-md-12 mb-8 ps-7">
        @if($candidateEducations->count())
            <h2 class="border-bottom border-2 border-danger pb-3 text-info fs-2x mb-5">
                <img class="text-info p-3 border rounded-circle border-info me-3" src="{{ asset('assets/img/user-graduate.png') }}">
                {{ __('messages.candidate_profile.education') }}
            </h2>
        @endif
        <div class="row">
            @foreach($candidateEducations as $candidateEducation)
                <div class="col-6 mt-5">
                    <h5 class="fs-3  text-primary">{{ $candidateEducation->degreeLevel->name }}</h5>
                    <h6 class="text-muted fs-5">{{ $candidateEducation->degree_title }}</h6>
                    <span
                            class="text-muted fs-4">{{ $candidateEducation->year }} | {{ $candidateEducation->country }}</span>
                    <p class="mb-0 fs-4">{{ $candidateEducation->institute }}</p>
                </div>
            @endforeach
        </div>
    </div>
    <div class="col-md-12 mb-8 ps-7">
        @if($candidateExperiences->count())
            <h2 class="border-bottom border-2 border-danger pb-3 text-info fs-2x mb-5">
                <img class="text-info p-3 border rounded-circle border-info me-3" src="{{ asset('assets/img/briefcase.png') }}">
                {{ __('messages.candidate_profile.experience') }}
            </h2>
        @endif
        <div class="row">
            @foreach($candidateExperiences as $candidateExperience)
                <div class="col-6 mt-5">
                    <h5 class="fs-3 text-primary">{{ $candidateExperience->company }}</h5>
                    <h6 class="fs-5">{{ $candidateExperience->country }}</h6>
                    <span class="text-muted fs-4">{{ \Carbon\Carbon::parse($candidateExperience->start_date)->translatedFormat('jS M, Y')}} - </span>
                    @if($candidateExperience->currently_working)
                        <span class="text-muted fs-4">{{ __('messages.candidate_profile.present') }}</span>
                    @else
                        <span
                            class="text-muted fs-4"> {{\Carbon\Carbon::parse($candidateExperience->end_date)->translatedFormat('jS M, Y')}} </span>
                    @endif
                </div>
            @endforeach
        </div>
    </div>
    <div class="col-md-12 ps-7">
        @if($user->is_online_profile_availbal)
            <h2 class="border-bottom border-2 border-danger pb-3 text-info fs-2x mb-5">
                <img class="text-info p-3 border rounded-circle border-info me-3" src="{{ asset('assets/img/link.png') }}">
                {{ __('messages.candidate_profile.online_profile') }}
            </h2>
        @endif
        @if(isset($user->facebook_url))
            <a class="mb-2 fs-4 d-block" href="{{ $user->facebook_url }}"
               target="_blank" id="facebook_url">{{ $user->facebook_url }}</a>
        @endif
        @if(isset($user->twitter_url))
            <a class="mb-2 fs-4 d-block" href="{{ $user->twitter_url }}"
               target="_blank" id="twitter_url">{{ $user->twitter_url }}</a>
        @endif
        @if(isset($user->linkedin_url))
            <a class="mb-2 fs-4 d-block" href="{{ $user->linkedin_url }}"
               target="_blank" id="linkedin_url">{{ $user->linkedin_url }}</a>
        @endif
        @if(isset($user->google_plus_url))
            <a class="mb-2 fs-4 d-block" href="{{ $user->google_plus_url }}"
               target="_blank" id="google_plus_url">{{ $user->google_plus_url }}</a>
        @endif
        @if(isset($user->pinterest_url))
            <a class="mb-2 fs-4 d-block" href="{{ $user->pinterest_url }}"
               target="_blank" id="pinterest_url">{{ $user->pinterest_url }}</a>
        @endif
    </div>
</div>
