<div id="editEducationModal" class="modal fade" role="dialog" tabindex="-1" aria-hidden="true">
    <div class="modal-dialog modal-lg">
        <!-- Modal content-->
        <div class="modal-content">
            <div class="modal-header">
                <h2>{{  __('messages.candidate_profile.edit_education') }}</h2>
                <button type="button" class="btn-close" data-bs-dismiss="modal"
                        aria-label="Close"></button>
            </div>
            {{ Form::open(['id'=>'editCareerEducationForm']) }}
            <div class="modal-body">
                <div class="alert alert-danger hide d-none" id="editValidationErrorsBox">
                    <i class='fa-solid fa-face-frown me-4'></i>
                </div>
                {{ Form::hidden('educationId',null,['id'=>'educationId']) }}
                <div class="row">
                    <div class="col-sm-6 mb-5">
                        {{ Form::label('degree_level_id', __('messages.candidate_profile.degree_level').(':'), ['class' => 'form-label']) }}
                        <span class="required"></span>
                        {{ Form::select('degree_level_id', $data['degreeLevels'], null ,['class' => 'form-select','required','id' => 'editDegreeLevel']) }}
                    </div>
              
                    <div class="col-sm-6 mb-5">
                        {{ Form::label('degree_title', __('messages.candidate_profile.degree_title').(':'),['class' => 'form-label']) }}
                        <span class="required"></span>
                        {{ Form::text('degree_title', null, ['class' => 'form-control','required','id'=>'editDegreeTitle','placeholder'=>'Degree Title']) }}
                    </div>
                    <div class="col-sm-6 mb-5">
                        {{ Form::label('country', __('messages.company.country').(':'),['class' => 'form-label']) }}
                        <span class="required"></span>
                        {{ Form::select('country_id',$data['countries'], null, ['id'=>'editEducationCountry','class' => 'form-select','data-modal-type' => 'education','placeholder' => __('messages.company.select_country'),'data-is-edit' => 'true']) }}
                    </div>
                    <div class="col-sm-6 mb-5">
                        {{ Form::label('state', __('messages.company.state').(':'),['class' => 'form-label']) }}
                        {{ Form::select('state_id', [], null, ['id'=>'editEducationState','class' => 'form-select','placeholder' => __('messages.company.select_state'),'data-modal-type' => 'education','data-is-edit' => 'true']) }}
                    </div>
                    <div class="col-sm-6 mb-5">
                        {{ Form::label('city', __('messages.company.city').(':'),['class' => 'form-label']) }}
                        {{ Form::select('city_id', [],  null, ['id'=>'editEducationCity','class' => 'form-select','placeholder' => __('messages.company.select_city')]) }}
                    </div>
                    <div class="col-sm-6 mb-5">
                        {{ Form::label('institute', __('messages.candidate_profile.institute').(':'),['class' => 'form-label',]) }}
                        <span class="required"></span>
                        {{ Form::text('institute', null,['class' => 'form-control','id'=>'editInstitute','placeholder'=>__('messages.candidate_profile.institute')]) }}
                    </div>
                    <div class="col-sm-6 mb-5">
                        {{ Form::label('result',__('messages.candidate_profile.result').(':'),['class' => 'form-label']) }}
                        <span class="required"></span>
                        {{ Form::text('result',  null, ['class' => 'form-control','id'=>'editResult','placeholder'=>__('messages.candidate_profile.result')]) }}
                    </div>
                    <div class="col-sm-6 mb-5">
                        {{ Form::label('year', __('messages.candidate_profile.year').(':'),['class' => 'form-label']) }}
                        <span class="required"></span>
                        {{ Form::selectRange('year', date('Y'), 2000, null, ['class' => 'form-select','placeholder' => __('messages.candidate_profile.select_year'),'id' => 'editYear'])}}
                    </div>

                </div>
            </div>
            <div class="modal-footer pt-0">
                {{ Form::button(__('messages.common.save'), ['type' => 'submit','class' => 'btn btn-primary me-0','id' => 'editEducationSave','data-loading-text' => "<span class='spinner-border spinner-border-sm'></span> ".__('messages.common.process')]) }}
                <button type="button" class="btn btn-secondary my-0 ms-5 me-0"
                        data-bs-dismiss="modal">{{ __('messages.common.cancel') }}
                </button>
            </div>
            {{--            <div class="text-right">--}}
            {{--                {{ Form::button(__('messages.common.save'), ['type' => 'submit','class' => 'btn btn-primary me-3','id' => 'btnEditEducationSave','data-loading-text' => "<span class='spinner-border spinner-border-sm'></span> Processing..."]) }}--}}
            {{--                <button type="button" class="btn btn-light btn-active-light-primary me-2"--}}
            {{--                        id="btnEditEducationSave"--}}
            {{--                        data-bs-dismiss="modal">{{ __('messages.common.cancel') }}</button>--}}
            {{--            </div>--}}
            {{ Form::close() }}
        </div>
    </div>
</div>
